* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background: #f4f7fb;
    font-family: Arial, Helvetica, sans-serif;
    color: #333;
    min-height: 100vh;

    display: flex;
    justify-content: center;
    align-items: center;
}

.container {
    background: white;
    width: 100%;
    max-width: 550px;

    padding: 40px;

    border-radius: 15px;

    box-shadow:
        0 10px 30px rgba(0, 0, 0, 0.1);
}

h1 {
    color: #0066ff;
    margin-bottom: 10px;
    text-align: center;
}

p {
    text-align: center;
    margin-bottom: 30px;
    color: #666;
}

form {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

label {
    font-weight: bold;
    margin-bottom: -8px;
}

input {
    padding: 12px;
    border: 1px solid #ddd;
    border-radius: 8px;
    font-size: 15px;
}

input:focus {
    outline: none;
    border-color: #0066ff;
    box-shadow: 0 0 5px rgba(0, 102, 255, 0.3);
}

button {
    margin-top: 10px;

    background: #0066ff;
    color: white;

    border: none;
    border-radius: 8px;

    padding: 14px;

    font-size: 16px;
    font-weight: bold;

    cursor: pointer;

    transition: 0.3s;
}

button:hover {
    background: #0052cc;
}

#resultado {
    margin-top: 25px;

    padding: 15px;

    background: #f8f9fa;

    border-radius: 8px;

    white-space: pre-wrap;

    font-size: 14px;
}